Subject: bug#30399: 27.0.50; tooltips are broken

From: Drew Adams <[email-masked]>
Date: Fri, 9 Feb 2018 07:41:55 -0800 (PST)

> This is due to a rather silly omission which should have already
> defeated a feature in Emacs 26 when calling 'x-show-tip' (you've
> been warned - Lisp code should call 'tooltip-show').

That warning sounds very bad to me.  It's vague, however,
so forgive me if I'm overreacting.

I have 4 libraries that will presumably break completely
if `x-show-tip' is defeated or is no longer available.
`tooltip-show' does NOT do the same thing and will not
work (AFAICT) for what I use `x-show-tip' for.

The libraries are `pp+.el', `apu.el', `modeline-char.el',
and `showkey.el'.  They are all available on Emacs Wiki,
Elisp Area.

https://www.emacswiki.org/emacs?action=elisp-area;context=0

`tooltip-show' constrains its call of `x-show-tip' to
only one particular behavior/appearance, etc.  Replacing
the latter function with just the former would be like
replacing the general function `goto-char' a limited one
such as `beginning-of-line'.  `x-show-tip' is much more
general than `tooltip-show'.

Here's a typical call:

(x-show-tip (propertize
              cmd-desc
              'face
              `(:foreground "red"
                :height ,showkey-tooltip-height))
            nil
            nil
            showkey-tooltip-timeout)